Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453858 - Review Request: globus-gsi-callback - Globus Toolkit - Globus GSI Callback Library
Summary: Review Request: globus-gsi-callback - Globus Toolkit - Globus GSI Callback Li...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Sailer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gpt 453848 453850 453851 453853 453854 453855 453856 453857
Blocks: globus 453861 453865 467237
TreeView+ depends on / blocked
 
Reported: 2008-07-02 22:23 UTC by Mattias Ellert
Modified: 2015-01-27 14:07 UTC (History)
3 users (show)

Fixed In Version: 1.10-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-09 04:21:19 UTC
t.sailer: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2008-07-02 22:23:48 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/info/globus-gsi-callback.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/src/SRPMS/globus-gsi-callback-0.32-0.1.fc9.src.rpm
Description :
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-gsi-callback package contains:
Globus GSI Callback Library

BuildRequires:  gpt
BuildRequires:  libtool
BuildRequires:  globus-gsi-proxy-ssl-devel >= 1
BuildRequires:  globus-openssl-module-devel >= 0
BuildRequires:  globus-gsi-openssl-error-devel >= 0
BuildRequires:  globus-openssl-devel >= 1
BuildRequires:  globus-core-devel >= 4
BuildRequires:  globus-gsi-cert-utils-devel >= 2
BuildRequires:  globus-common-devel >= 3
BuildRequires:  globus-gsi-sysconfig-devel >= 1

Comment 1 Mattias Ellert 2008-10-16 14:30:55 UTC
New version based on the globus toolkit 4.2.1 release:

SRPM: http://www.grid.tsl.uu.se/repos/globus/fedora/9/src/SRPMS/globus-gsi-callback-1.10-0.2.fc9.src.rpm
SPEC: http://www.grid.tsl.uu.se/repos/globus/fedora/9/info/globus-gsi-callback.spec

All applied patches submitted upstream:

Use .la files when linking within a package:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6476

Patch accepted upstream:

http://viewcvs.globus.org/viewcvs.cgi/gsi/callback/source/library/Makefile.am?r1=1.6&r2=1.7

Comment 2 Mattias Ellert 2009-01-06 00:48:55 UTC
This package was updated due to the renaming of the GPT package.

SRPM: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gsi-callback-1.10-0.3.fc10.src.rpm

SPEC: http://www.grid.tsl.uu.se/repos/globus/info/globus-gsi-callback.spec

Comment 3 Mattias Ellert 2009-03-15 23:59:23 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gsi-callback-1.10-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-gsi-callback.spec

Comment 4 Mattias Ellert 2009-04-17 13:44:16 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gsi-callback-1.10-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gsi-callback.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 5 Thomas Sailer 2009-04-30 12:06:46 UTC
Source matches upstream:
$ diff -urN globus_gsi_callback-1.10 globus_gsi_callback-1.10-dl
is silent.

Scratch Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1330235

Rpmlint:
$ rpmlint globus-gsi-callback* globus-gsi-callback.spec
globus-gsi-callback-devel.x86_64: W: no-documentation
4 packages and 2 specfiles checked; 0 errors, 1 warnings.

Comment 6 Thomas Sailer 2009-04-30 12:12:08 UTC
Fedora review globus-gsi-callback-1.10-1.fc10.src.rpm 2009-04-30

+ OK
! needs attention

+ rpmlint output
  The no-documentation warning can be ignored as there is a separate doc package
+ Package is named according to Fedora Package Naming Guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora packaging guidelines
+ License meets guidelines and is acceptable to Fedora
  ASL 2.0
+ License matches the actual package license
+ The package contains the license file
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
the source repacking makes it impossible to compare md5sum's, thus:
$ diff -urN globus_gsi_callback-1.10 globus_gsi_callback-1.10-dl
reports no differences

+ Package scratch-builds
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
+ Large documentation files should go in -doc subpackage
n/a Files marked %doc should not affect package
+ Header files should be in -devel
n/a Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
  indirectly, via globus-core
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ Packages should not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8  

APPROVED by sailer.

Comment 7 Mattias Ellert 2009-04-30 13:32:01 UTC
Thank you for the review.


New Package CVS Request
=======================
Package Name: globus-gsi-callback
Short Description: Globus Toolkit - Globus GSI Callback Library
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 8 Dennis Gilmore 2009-05-01 20:58:46 UTC
CVS Done

Comment 9 Mattias Ellert 2009-05-04 10:51:35 UTC
Package available in devel.

Comment 10 Fedora Update System 2009-05-06 06:32:15 UTC
globus-gsi-callback-1.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-gsi-callback-1.10-1.fc10

Comment 11 Fedora Update System 2009-05-06 06:32:20 UTC
globus-gsi-callback-1.10-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-gsi-callback-1.10-1.fc9

Comment 12 Fedora Update System 2009-05-09 04:21:14 UTC
globus-gsi-callback-1.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-05-09 04:23:33 UTC
globus-gsi-callback-1.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-05-14 11:14:18 UTC
globus-gsi-callback-1.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gsi-callback-1.10-1.fc11

Comment 15 Fedora Update System 2009-05-15 23:27:56 UTC
globus-gsi-callback-1.10-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.